<?php
class yesSmarty extends Smarty {
  /* constructor */
  function yesSmarty() {
	/*
	$this->compile_dir  = ...;
	$this->cache_dir    = ...;
	$this->config_dir   = ...;
	*/
	$this->security = true;
	$this->php_handling = SMARTY_PHP_PASSTHRU;
	$this->trusted_dir = array(DIR_FS_CATALOG.'includes/');
	$this->compile_dir = DIR_FS_CATALOG.'templates_c/';
	$this->secure_dir = array(DIR_FS_CATALOG.DIR_WS_LANGUAGES,DIR_FS_CATALOG.'templates/',DIR_FS_ADMIN.'templates/');
	$this->assign('language', $_SESSION['language']);
	$this->assign('language_path', DIR_FS_CATALOG.DIR_WS_LANGUAGES.$_SESSION['language'].'/');
	$this->assign('language_path_admin', DIR_FS_CATALOG.DIR_WS_LANGUAGES.$_SESSION['language'].'/admin/');
	$this->assign('template_path', DIR_FS_CATALOG.'templates');
	$this->assign('template_path_admin', DIR_FS_ADMIN.'templates');
	$this->assign('date_format',DATE_FORMAT_SHORT);
	$this->assign('date_format_long',DATE_FORMAT_LONG);
	$this->plugins_dir[] = DIR_FS_CATALOG.'includes/smarty_plugins/';
  }
}
?>
